renew a consent category via emailed renewal token
1 min
GET
https://api.upstartcommerce.com/v1/customer/consent/renew/{token}
tokenstring
x-upstart-tenantstringTenant identifier associated with the site.
x-upstart-sitestringThe site identifier.
200<p>Success - consent renewed.</p>
400The request contained information that the server was unable to process. Appropriate errors are provided in the response body.
401The provided credentials were not valid for this endpoint.
404The requested resource was not found in the NoChannel system.
423<p>Consent Management is disabled or locked for the tenant, so consent operations are not allowed.</p>
500There was an internal server error.
curl --request GET \
--url https://api.upstartcommerce.com/v1/customer/consent/renew/{token} \
--header 'accept: application/json' \
--header 'x-upstart-tenant: string' \
--header 'x-upstart-site: string'